## netgen-lvs 1.5.107

=== Makefile ===
#
# Makefile redesigned for netgen-1.3
#

NETGENDIR = .
PROGRAMS = netgen python
MODULES = base

MAKEFLAGS =
INSTALL_CAD_DIRS = lib doc

include defs.mak

all:	$(ALL_TARGET)

standard:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} mains 2>&1 | tee -a make.log

tcl:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} tcllibrary 2>&1 | tee -a make.log

force:	clean all

defs.mak:
	@echo No \"defs.mak\" file found.  Run "configure" to make one.

config:
	${NETGENDIR}/configure

tcllibrary: modules
	@echo --- making Tcl shared-object libraries
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} tcl-main); done

mains: modules
	@echo --- making main programs
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} main); done

modules:
	@echo --- making modules
	for dir in ${MODULES}; do \
		(cd $$dir && ${MAKE} module); done

depend:
	for dir in ${MODULES} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} depend); done

install: $(INSTALL_TARGET)

install-netgen:
	@echo --- installing executable to $(DESTDIR)${BINDIR}
	@echo --- installing run-time files to $(DESTDIR)${LIBDIR}
	@${MAKE} install-real >> install.log

install-real: install-dirs
	for dir in ${PROGRAMS} ${INSTALL_CAD_DIRS}; do \
		(cd $$dir && ${MAKE} install); done

install-tcl-dirs:
	${NETGENDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR} \
		$(DESTDIR)${TCLDIR} $(DESTDIR)${PYDIR}

install-dirs:
	${NETGENDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR}

install-tcl: install-dirs
	@echo --- installing executable to $(DESTDIR)${BINDIR}
	@echo --- installing run-time files to $(DESTDIR)${LIBDIR}
	@${MAKE} install-tcl-real 2>&1 >> install.log

install-tcl-real: install-tcl-dirs
	for dir in ${INSTALL_CAD_DIRS} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install-tcl); done

clean:
	for dir in ${MODULES} ${PROGRAMS} ${UNUSED_MODULES}; do \
		(cd $$dir && ${MAKE} clean); done
	${RM} *.tmp */*.tmp *.sav */*.sav *.log TAGS tags

distclean:
	touch defs.mak
	@${MAKE} clean
	${RM} defs.mak old.defs.mak ${NETGENDIR}/scripts/defs.mak
	${RM} ${NETGENDIR}/scripts/default.conf
	${RM} ${NETGENDIR}/scripts/config.log ${NETGENDIR}/scripts/config.status
	${RM} scripts/netgen.spec netgen-`cat VERSION` netgen-`cat VERSION`.tgz
	${RM} *.log

dist:
	${RM} scripts/netgen.spec netgen-`cat VERSION` netgen-`cat VERSION`.tgz
	sed -e /@VERSION@/s%@VERSION@%`cat VERSION`% \
	    scripts/netgen.spec.in > scripts/netgen.spec
	ln -nsf . netgen-`cat VERSION`
	tar zchvf netgen-`cat VERSION`.tgz --exclude CVS \
	    --exclude netgen-`cat VERSION`/netgen-`cat VERSION` \
	    --exclude netgen-`cat VERSION`/netgen-`cat VERSION`.tgz \
	    netgen-`cat VERSION`

clean-mains:
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${RM} $$dir); done

=== debian/changelog ===
netgen-lvs (1.5.107-1) unstable; urgency=medium

  * Initial upload (Closes: #905952)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 12:07:21 +0200

## netgen-lvs 1.5.116

=== debian/changelog ===
netgen-lvs (1.5.116-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 09 Dec 2018 22:32:00 +0100

=== debian/control ===
Source: netgen-lvs
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 11),
               tcl-dev,
               tk-dev,
               txt2man
Standards-Version: 4.2.1
Homepage: http://opencircuitdesign.com/netgen/
Vcs-Browser: https://salsa.debian.org/electronics-team/netgen-lvs
Vcs-Git: https://salsa.debian.org/electronics-team/netgen-lvs.git

Package: netgen-lvs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         python3-tk
Description: Netlist comparison - Layout vs Schematic (LVS)
 Netgen is a tool for comparing netlists, a process known as LVS, which stands
 for "Layout vs. Schematic". This is an important step in the integrated circuit
 design flow, ensuring that the geometry that has been laid out matches the
 expected circuit.
 .
 Very small circuits can bypass this step by confirming circuit operation
 through extraction and simulation. Very large digital circuits are usually
 generated by tools from high-level descriptions, using compilers that ensure
 the correct layout geometry. The greatest need for LVS is in large analog or
 mixed-signal circuits that cannot be simulated in reasonable time.
 .
 Note that the executable name in Debian is 'netgen-lvs'. For details, see
 /usr/share/doc/netgen-lvs/README.Debian

## netgen-lvs 1.5.118

=== Makefile ===
--- 
+++ 
@@ -60,11 +60,11 @@
 		(cd $$dir && ${MAKE} install); done
 
 install-tcl-dirs:
-	${NETGENDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR} \
+	${NETGENDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} \
 		$(DESTDIR)${TCLDIR} $(DESTDIR)${PYDIR}
 
 install-dirs:
-	${NETGENDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR}
+	${NETGENDIR}/scripts/mkdirs $(DESTDIR)${BINDIR}
 
 install-tcl: install-dirs
 	@echo --- installing executable to $(DESTDIR)${BINDIR}

=== python/Makefile ===
MODULE = python
NETGENDIR = ..
SRCS = 
SCRIPTS = consoletext.py helpwindow.py lvs_manager.py treeviewsplit.py
SCRIPTS += tksimpledialog.py tooltip.py lvs_help.txt

SCRIPTINSTALL = $(DESTDIR)${PYDIR}

include ${NETGENDIR}/defs.mak

main: lvs_manager.py

tcl-main: lvs_manager.py

$(DESTDIR)${PYDIR}/consoletext.py:
	${RM} $@
	${CP} consoletext.py $@

$(DESTDIR)${PYDIR}/helpwindow.py:
	${RM} $@
	${CP} helpwindow.py $@

lvs_manager.py: lvs_manager.py.in
	sed -e '/SUBST_SCRIPT_DIR/s#SUBST_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
		lvs_manager.py.in > lvs_manager.py

$(DESTDIR)${PYDIR}/lvs_manager.py: lvs_manager.py
	${RM} $@
	${CP} lvs_manager.py $@

$(DESTDIR)${PYDIR}/treeviewsplit.py: treeviewsplit.py
	${RM} $@
	${CP} treeviewsplit.py $@

$(DESTDIR)${PYDIR}/tksimpledialog.py: tksimpledialog.py
	${RM} $@
	${CP} tksimpledialog.py $@

$(DESTDIR)${PYDIR}/tooltip.py: tooltip.py
	${RM} $@
	${CP} tooltip.py $@

$(DESTDIR)${PYDIR}/lvs_help.txt: lvs_help.txt
	${RM} $@
	${CP} lvs_help.txt $@

install: install-tcl

install-tcl: $(DESTDIR)${PYDIR} $(DESTDIR)${PYDIR}/consoletext.py \
	$(DESTDIR)${PYDIR}/helpwindow.py $(DESTDIR)${PYDIR}/lvs_manager.py \
	$(DESTDIR)${PYDIR}/treeviewsplit.py $(DESTDIR)${PYDIR}/tksimpledialog.py \
	$(DESTDIR)${PYDIR}/tooltip.py $(DESTDIR)${PYDIR}/lvs_help.txt

include ${NETGENDIR}/rules.mak

=== debian/changelog ===
netgen-lvs (1.5.118-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.3.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 29 Jan 2019 16:00:01 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://opencircuitdesign.com/netgen/
 Vcs-Browser: https://salsa.debian.org/electronics-team/netgen-lvs
 Vcs-Git: https://salsa.debian.org/electronics-team/netgen-lvs.git

## netgen-lvs 1.5.133

=== base/Makefile ===
MODULE = base
NETGENDIR = ..
SRCS = actel.c ccode.c greedy.c ntk.c print.c actellib.c embed.c \
 hash.c netfile.c objlist.c query.c anneal.c ext.c netcmp.c netgen.c \
 pdutils.c random.c timing.c bottomup.c flatten.c place.c spice.c \
 verilog.c wombat.c xilinx.c xillib.c
X11_SRCS = xnetgen.c

include ${NETGENDIR}/defs.mak

SRCS   += ${GR_SRCS}
DFLAGS += ${GR_DFLAGS}
DFLAGS += -DNETGEN_DATE="\"`date`\""
CFLAGS += ${GR_CFLAGS}

include ${NETGENDIR}/rules.mak

=== dbug/Makefile ===
#
#  FILE
#
#	Makefile    Makefile for dbug package
#
#  SCCS ID
#
#	@(#)Makefile	1.11 3/12/88
#
#  DESCRIPTION
#
#	Makefile for the dbug package (under UNIX system V or 4.2BSD).
#
#	Interesting things to make are:
#
#	lib	=>	Makes the runtime support library in the
#			current directory.
#
#	lintlib	=>	Makes the lint library in the current directory.
#
#	install	=>	Install pieces from current directory to
#			where they belong.
#
#	doc	=>	Makes the documentation in the current
#			directory.
#
#	clean	=>	Remove objects, temporary files, etc from
#			current directory.
#
#	superclean =>	Remove everything except sccs source files.
#			Uses interactive remove for verification.

# Define NO_VARARGS if you have no <varargs.h> to include.
#VARARGS =	-DNO_VARARGS

SH =		/bin/sh
AR =		ar
RM =		rm
CFLAGS =	-O $(VARARGS)
GFLAGS =	-s
INSTALL =	$(SH) install.sh
CHMOD =		chmod
MAKE =		make
INC =		/usr/include/local
LIB =		/usr/lib
RANLIB =	$(SH) ranlib.sh
MODE =		664

# The following is provided for example only, it is set by "doinstall.sh".
LLIB =		/usr/lib

.SUFFIXES:	.r .r~ .c .c~

.c~.c:
		$(GET) $(GFLAGS) -p $< >$*.c

.r~.r:
		$(GET) $(GFLAGS) -p $< >$*.r

.c~.r:
		$(GET) $(GFLAGS) -p $< >$*.c
		sed "s/\\\/\\\e/" <$*.c >$*.r
		$(RM) -f $*.c

.c.r:
		sed "s/\\/\\e/" <$< >$*.r
#		sed "s/\\\/\\\e/" <$< >$*.r

EXAMPLES =	example1.r example2.r example3.r
OUTPUTS =	output1.r output2.r output3.r output4.r output5.r

NROFF_INC =	main.r factorial.r $(OUTPUTS) $(EXAMPLES)


#
#	The default thing to do is remake the local runtime support
#	library, local lint library, and local documentation as
#	necessary.
#

all :		lib lintlib analyze doc

lib :		libdbug.a

lintlib :	llib-ldbug.ln

doc :		factorial user.t

#
#	Make the local runtime support library "libdbug.a" from
#	sources.
#

libdbug.a :	dbug.o
		rm -f $@
		$(AR) cr $@ $?
		$(RANLIB) $@

#
#	Clean up the local directory.
#

clean :
		$(RM) -f *.o *.ln *.a *.BAK nohup.out factorial $(NROFF_INC)

superclean :
		$(RM) -i ?[!.]*

#
#	Install the new header and library files.  Since things go in
#	different places depending upon the system (lint libraries
#	go in /usr/lib under SV and /usr/lib/lint under BSD for example),
#	the shell script "doinstall.sh" figures out the environment and
#	does a recursive make with the appropriate pathnames set.
#

install :		
			$(SH) doinstall.sh $(MAKE) sysinstall

sysinstall:		$(INC) $(INC)/dbug.h $(LIB)/libdbug.a \
			$(LLIB)/llib-ldbug.ln $(LLIB)/llib-ldbug

$(INC) :
			-if test -d $@ ;then true ;else mkdir $@ ;fi

$(INC)/dbug.h :		dbug.h
			$(INSTALL) $? $@
			$(CHMOD) $(MODE) $@

$(LIB)/libdbug.a :	libdbug.a
			$(INSTALL) $? $@
			$(CHMOD) $(MODE) $@

$(LLIB)/llib-ldbug.ln :	llib-ldbug.ln
			$(INSTALL) $? $@
			$(CHMOD) $(MODE) $@

$(LLIB)/llib-ldbug :	llib-ldbug
			$(INSTALL) $? $@
			$(CHMOD) $(MODE) $@

#
#	Make the local lint library.
#

llib-ldbug.ln : 	llib-ldbug
			$(SH) mklintlib.sh $? $@

#
#	Make the test/example program "factorial".
#
#	Note that the objects depend on the LOCAL dbug.h file and
#	the compilations are set up to find dbug.h in the current
#	directory even though the sources have "#include <dbug.h>".
#	This allows the examples to look like the code a user would
#	write but still be used as test cases for new versions
#	of dbug.

factorial :	main.o factorial.o libdbug.a
		$(CC) -o $@ main.o factorial.o libdbug.a

main.o :	main.c dbug.h
		$(CC) $(CFLAGS) -c -I. main.c

factorial.o :	factorial.c dbug.h
		$(CC) $(CFLAGS) -c -I. factorial.c


#
#	Make the analyze program for runtime profiling support.
#

analyze :	analyze.o libdbug.a
		$(CC) -o $@ analyze.o libdbug.a

analyze.o :	analyze.c useful.h dbug.h
		$(CC) $(CFLAGS) -c -I. analyze.c

#
#	Rebuild the documentation
#

user.t :	user.r $(NROFF_INC)
		nroff -cm user.r >$@

#
#	Run the factorial program to produce the sample outputs.
#

output1.r:	factorial
		./factorial 1 2 3 4 5 >$@

output2.r:	factorial
		./factorial -#t:o 2 3 >$@

output3.r:	factorial
		./factorial -#d:t:o 3 >$@

output4.r:	factorial
		./factorial -#d,result:o 4 >$@

output5.r:	factorial
		./factorial -#d:f,factorial:F:L:o 3 >$@

#
#	All files included by user.r depend on user.r, thus
#	forcing them to be remade if user.r changes.
#

$(NROFF_INC) :	user.r

=== doc/Makefile ===
NETGENDIR = ..

include ${NETGENDIR}/defs.mak

MANDIRS = $(DESTDIR)${MANDIR} $(DESTDIR)${MANDIR}/man1
DOCDIRS = $(DESTDIR)${DOCDIR}

MANFILES = 
DOCFILES = $(DESTDIR)${DOCDIR}/netgen.doc

install-tcl: ${DOCDIRS} ${DOCFILES}

install: ${DOCDIRS} ${DOCFILES}

${MANDIRS}: make-man-dirs

${DOCDIRS}: make-doc-dirs

make-man-dirs:
	${SCRIPTS}/mkdirs ${MANDIRS}

make-doc-dirs:
	${SCRIPTS}/mkdirs ${DOCDIRS}

# This file does not actually exist. . .
$(DESTDIR)${MANDIR}/man1/netgen.1: netgen.1 ${MANDIRS}
	${CP} netgen.1 $(DESTDIR)${MANDIR}/man1/netgen.1

$(DESTDIR)${DOCDIR}/netgen.doc: netgen.doc ${DOCDIRS}
	${CP} netgen.doc $(DESTDIR)${DOCDIR}/netgen.doc

=== lib/Makefile ===
NETGENDIR = ..

include ${NETGENDIR}/defs.mak

LIB_FILES = ntk2adl.sh spice spice.bot spice.top

LIB_INST_FILES= $(LIB_FILES:%=$(DESTDIR)${LIBDIR}/netgen/%)
BIN_INST_FILES= $(BIN_FILES:%=$(DESTDIR)${BINDIR}/%)

install-tcl: ${LIB_INST_FILES}

install: ${LIB_INST_FILES}

$(DESTDIR)${LIBDIR}/netgen/%: %
	../scripts/mkdirs $(DESTDIR)${LIBDIR}/netgen
	${RM} $(DESTDIR)${LIBDIR}/netgen/$*
	${CP} $* $(DESTDIR)${LIBDIR}/netgen/$*

=== netgen/Makefile ===
MODULE = netgen
NETGENDIR = ..
SRCS = netgen_main.c

include ${NETGENDIR}/defs.mak

EXTRA_LIBS = ${NETGENDIR}/base/libbase.o \
	     ${MAIN_EXTRA_LIBS}

DFLAGS += ${GR_DFLAGS}
DFLAGS += -DNETGEN_DATE="\"`date`\""

LIBS += ${GR_LIBS} -lm
CFLAGS += ${GR_CFLAGS} -I${NETGENDIR}/base
CLEANS += netgen netcomp ntk2adl inetcomp ntk2xnf

main: netgen netcomp inetcomp ntk2adl ntk2xnf

tcl-main: tclnetgen${SHDLIB_EXT}

tclnetgen${SHDLIB_EXT}: ${EXTRA_LIBS}
	@echo --- making netgen Tcl library \(tclnetgen${SHDLIB_EXT}\)
	${RM} tclnetgen${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} \
		${LD_RUN_PATH} ${EXTRA_LIBS} ${LD_EXTRA_LIBS} \
		-lc ${LIBS} ${LIB_SPECS} ${LDFLAGS}

$(DESTDIR)${BINDIR}/netgen:
	${RM} $@
	${CP} netgen $@

$(DESTDIR)${BINDIR}/ntk2adl:
	${RM} $@
	${CP} ntk2adl $@

$(DESTDIR)${BINDIR}/ntk2xnf:
	${RM} $@
	${CP} ntk2xnf $@

$(DESTDIR)${BINDIR}/netcomp:
	${RM} $@
	${CP} netcomp $@

$(DESTDIR)${BINDIR}/inetcomp:
	${RM} $@
	${CP} inetcomp $@

netcomp: netcomp.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} netcomp.c -o $@ ${EXTRA_LIBS} \
		${LIBS} ${LDFLAGS}

inetcomp: inetcomp.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} inetcomp.c -o $@ ${EXTRA_LIBS} \
		${LIBS} ${LDFLAGS}

ntk2adl: ntk2adl.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ntk2adl.c -o $@ ${EXTRA_LIBS} \
		${LIBS} ${LDFLAGS}

ntk2xnf: ntk2xnf.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ntk2xnf.c -o $@ ${EXTRA_LIBS} \
		${LIBS} ${LDFLAGS}

install: $(DESTDIR)${BINDIR}/netgen $(DESTDIR)${BINDIR}/netcomp \
		$(DESTDIR)${BINDIR}/inetcomp $(DESTDIR)${BINDIR}/ntk2adl \
		$(DESTDIR)${BINDIR}/ntk2xnf

install-tcl: $(DESTDIR)${TCLDIR} $(DESTDIR)${TCLDIR}/tclnetgen${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/tclnetgen${SHDLIB_EXT}: tclnetgen${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/tclnetgen${SHDLIB_EXT}
	${CP} tclnetgen${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/tclnetgen${SHDLIB_EXT}

include ${NETGENDIR}/rules.mak

=== tcltk/Makefile ===
MODULE = tcltk
NETGENDIR = ..
SRCS = tclnetgen.c

include ${NETGENDIR}/defs.mak

EXTRA_LIBS = ${MAIN_EXTRA_LIBS}

DFLAGS += -DNETGEN_DATE="\"`date`\""
LIBS += -lm
CLEANS += netgen.sh netgen.tcl netgenexec${EXEEXT}
CFLAGS += -I${NETGENDIR}/base

TCL_FILES = \
	$(DESTDIR)${TCLDIR}/tkcon.tcl \
	$(DESTDIR)${TCLDIR}/console.tcl \
	$(DESTDIR)${TCLDIR}/netgen.tcl

tcl-main: netgenexec${EXEEXT} netgen.tcl netgen.sh

install-tcl: netgenexec${EXEEXT} $(DESTDIR)${BINDIR}/netgen.sh ${TCL_FILES}
	${RM} $(DESTDIR)${TCLDIR}/netgenexec${EXEEXT}
	${CP} netgenexec${EXEEXT} $(DESTDIR)${TCLDIR}/netgenexec${EXEEXT}

netgenexec${EXEEXT}: netgenexec.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS_NOSTUB} netgenexec.c \
		-o netgenexec${EXEEXT} \
		${LDFLAGS} ${LIBS} ${LIB_SPECS_NOSTUB}

netgen.tcl: netgen.tcl.in
	sed -e 's%TCL_DIR%${TCLDIR}%g' \
	    -e 's%SHDLIB_EXT%${SHDLIB_EXT}%g' \
	    netgen.tcl.in > netgen.tcl

netgen.sh: netgen.sh.in
	sed -e 's%TCL_DIR%${TCLDIR}%g' \
	    -e 's%PY_DIR%${PYDIR}%g' \
	    -e 's%TCLLIB_DIR%${TCL_LIB_DIR}%g' \
	    -e 's%WISH_EXE%${WISH_EXE}%g' \
	    netgen.sh.in > netgen.sh

$(DESTDIR)${TCLDIR}/%: %
	${RM} $(DESTDIR)${TCLDIR}/$*
	${CP} $* $(DESTDIR)${TCLDIR}/$*

$(DESTDIR)${BINDIR}/netgen.sh: netgen.sh
	${RM} $(DESTDIR)${BINDIR}/netgen.sh $(DESTDIR)${BINDIR}/netgen
	${CP} netgen.sh $(DESTDIR)${BINDIR}/netgen
	(cd $(DESTDIR)${BINDIR}; chmod 0755 netgen)

include ${NETGENDIR}/rules.mak

=== debian/changelog ===
netgen-lvs (1.5.133-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - Use debhelper-compat instead of debian/compat file
    - DH level 12
  * d/patches/0002-Fix-some-sprintf-calls.patch:
    - Fails to build with strict format check enabled

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 11:35:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                tcl-dev,
                tk-dev,
                txt2man
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://opencircuitdesign.com/netgen/
 Vcs-Browser: https://salsa.debian.org/electronics-team/netgen-lvs
 Vcs-Git: https://salsa.debian.org/electronics-team/netgen-lvs.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

%:
	dh $@  --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib

override_dh_auto_install:
	dh_auto_install
	# /usr/bin/netgen is used by another package, move binary to /usr/lib/netgen-lvs/bin/netgen:
	mkdir -p debian/netgen-lvs/usr/lib/netgen/bin
	mv debian/netgen-lvs/usr/bin/netgen debian/netgen-lvs/usr/lib/netgen/bin/netgen
	# Do not want this arbitrary doc directory under usr/lib/netgen. It is
	# installed via the debian/docs file instead.
	$(RM) -r debian/netgen-lvs/usr/lib/netgen/doc
	# #!/bin/env not allowed. Replace with #!/usr/bin/env:
	sed -i 's;^#!/bin/env;#!/usr/bin/env;' debian/netgen-lvs/usr/lib/netgen/python/*.py
	# Make scripts executable:
	chmod +x debian/netgen-lvs/usr/lib/netgen/ntk2adl.sh debian/netgen-lvs/usr/lib/netgen/spice
	# csh is considered harmful. Replace with /bin/sh
	sed -i 's;#!/bin/csh;#!/bin/sh;' debian/netgen-lvs/usr/lib/netgen/ntk2adl.sh

override_dh_clean:
	dh_clean
	$(RM) netgen/tclnetgen.so
	$(RM) debian/man/*.1

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

=== debian/tests/control ===
Tests: can-show-help
Depends: netgen-lvs

=== debian/watch ===
version=3
http://opencircuitdesign.com/netgen/download.html .*netgen-(1\.5\..*).tgz
